slepc-3.21.1 2024-04-26
Report Typos and Errors

# VecCompGetSubVecs

Returns the entire array of vectors defining a compound vector.

### Synopsis

    #include "slepcvec.h"
    PetscErrorCode VecCompGetSubVecs(Vec win,PetscInt *n,const Vec **x)

Collective

### Input Parameter

| win | - compound vector

### Output Parameters

| n | - number of child vectors
| x | - array of child vectors

### See Also

VecCreateComp()

### Level

developer

### Location

src/sys/vec/veccomp.c
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages